part of 'calculator_info_bloc.dart';

sealed class CalculatorInfoEvent extends Equatable {
  const CalculatorInfoEvent();
}

final class CreateLeadEvent extends CalculatorInfoEvent {
  const CreateLeadEvent({required this.argument, required this.isCall});

  final bool isCall;
  final CalculatorInfoArgument argument;

  @override
  List<Object?> get props => [argument, isCall];
}

final class ShowSuccessDialogEvent extends CalculatorInfoEvent {
  const ShowSuccessDialogEvent({required this.isCall});

  final bool isCall;

  @override
  List<Object?> get props => [isCall];
}
